/*  
  TRHlogger:   PC-based temperature and humidity logger
  Description: The DHT22 sensor is used to measure the ambient 
               temperature and relative humidity. The measured
               values are displayed on a PC and logged into an ASCII
               file through an application written using Processing.
  Board:       MSP430 Launchpad
  Reference:   http://embedded-lab.com/blog/?p=5453
  Modifications: I. Cserny
 */
#include "DHT.h"
#define DHTPIN 2


// Uncomment whatever type you're using!
//#define DHTTYPE DHT11   // DHT 11 
#define DHTTYPE DHT22   // DHT 22  (AM2302)
//#define DHTTYPE DHT21   // DHT 21 (AM2301)

// Connect pin 1 (on the left) of the sensor to VDD
// Connect pin 2 of the sensor to whatever your DHTPIN is
// Connect pin 4 (on the right) of the sensor to GROUND
// Connect a 10K resistor from pin 2 (data) to pin 1 (power) of the sensor

DHT dht(DHTPIN, DHTTYPE);

void setup()   
{
  Serial.begin(9600);    
  dht.begin();  
}

void loop()  
{
  delay(16000);
  float h = dht.readHumidity();
  float t = dht.readTemperature();
  
  if (isnan(t) || isnan(h)) {
//    Serial.println("Failed to read from DHT");
  } else { 
    Serial.print(h,1);
    Serial.write(' ');
    Serial.print(t,1);
    Serial.write('\n');   //Linux and OpenWRT EOL convention!
  }  
}


